Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eBarType
    eAccounted = 0
    eOrdered = 1
    eReported = 2
    eOrderArrive = 3
End Enum
<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class ProductsGantRowsBar
    Inherits BaseObject
    Private _ProductsGantRows As ProductsGantRows
    Private _FromDate As Date
    Private _ToDate As Date
    Private _BarType As eBarType
    Private _Caption As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("ProductsGantRows - ProductsGantRowsBar", GetType(ProductsGantRows))> _
    Property ProductsGantRows As ProductsGantRows
        Get
            Return _ProductsGantRows
        End Get
        Set(value As ProductsGantRows)
            SetPropertyValue("ProductsGantRows", _ProductsGantRows, value)
        End Set
    End Property
    Property FromDate As Date
        Get
            Return _FromDate
        End Get
        Set(value As Date)
            SetPropertyValue("FromDate", _FromDate, value)
        End Set
    End Property
    Property ToDate As Date
        Get
            Return _ToDate
        End Get
        Set(value As Date)
            SetPropertyValue("ToDate", _ToDate, value)
        End Set
    End Property
    Property BarType As eBarType
        Get
            Return _BarType
        End Get
        Set(value As eBarType)
            SetPropertyValue("BarType", _BarType, value)
        End Set
    End Property
    Property Caption As String
        Get
            Return _Caption
        End Get
        Set(value As String)
            SetPropertyValue("Caption", _Caption, value)
        End Set
    End Property
End Class
